python-django-floppyforms_1.6.0+dfsg-1_all.deb


Advertisement

Description

python-django-floppyforms - better control of form rendering in Django

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-django-floppyforms
Package version: 1.6.0+dfsg
Package release: 1
Package architecture: all
Package type: deb
Installed size: 184 B
Download size: 29.00 KB
Official Mirror: archive.ubuntu.com
Django-foppyforms is an application that gives you full control of the output of forms rendering. This is more a widgets library than a forms library but form fields are provided for convenience. The forms API and features are exactly the same as Django’s, the key difference is that widgets are rendered in templates instead of using string interpolation. The widgets API allows you to customize and extend the widgets behaviour, making it very easy to define custom widgets. The default widgets are very similar to the default Django widgets, except that they implement some nice features of HTML5 forms, such as the placeholder and required attribute, as well as the new <input> types.

Alternatives

    Download

    Source package: django-floppyforms

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-django-floppyforms deb package:
      # sudo apt-get install python-django-floppyforms

    Files

    • /usr/lib/python2.7/dist-packages/django_floppyforms-1.6.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/django_floppyforms-1.6.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/django_floppyforms-1.6.0.egg-info/not-zip-safe
    • /usr/lib/python2.7/dist-packages/django_floppyforms-1.6.0.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/floppyforms/__init__.py
    • /usr/lib/python2.7/dist-packages/floppyforms/compat.py
    • /usr/lib/python2.7/dist-packages/floppyforms/fields.py
    • /usr/lib/python2.7/dist-packages/floppyforms/forms.py
    • /usr/lib/python2.7/dist-packages/floppyforms/models.py
    • /usr/lib/python2.7/dist-packages/floppyforms/widgets.py
    • /usr/lib/python2.7/dist-packages/floppyforms/__future__/__init__.py
    • /usr/lib/python2.7/dist-packages/floppyforms/__future__/models.py
    • /usr/lib/python2.7/dist-packages/floppyforms/gis/__init__.py
    • /usr/lib/python2.7/dist-packages/floppyforms/gis/fields.py
    • /usr/lib/python2.7/dist-packages/floppyforms/gis/widgets.py
    • /usr/lib/python2.7/dist-packages/floppyforms/static/floppyforms/openlayers
    • /usr/lib/python2.7/dist-packages/floppyforms/static/floppyforms/js/MapWidget.js
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/_render_as.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/attrs.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/checkbox.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/checkbox_select.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/clearable_input.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/color.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/date.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/datetime.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/dummy.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/email.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/errors.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/file.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/hidden.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/input.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/ipaddress.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/number.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/password.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/phonenumber.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/radio.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/range.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/search.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/select.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/select_date.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/slug.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/text.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/textarea.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/time.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/url.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/gis/google.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/gis/openlayers.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/gis/osm.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/layouts/default.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/layouts/p.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/layouts/table.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/layouts/ul.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/rows/default.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/rows/li.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/rows/p.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templates/floppyforms/rows/tr.html
    • /usr/lib/python2.7/dist-packages/floppyforms/templatetags/__init__.py
    • /usr/lib/python2.7/dist-packages/floppyforms/templatetags/floppyforms.py
    • /usr/lib/python2.7/dist-packages/floppyforms/templatetags/floppyforms_internals.py
    • /usr/share/doc/python-django-floppyforms/README.rst
    • /usr/share/doc/python-django-floppyforms/changelog.Debian.gz
    • /usr/share/doc/python-django-floppyforms/copyright

    Changelog

    2015-12-05 - Michael Fladischer <fladi@debian.org> django-floppyforms (1.6.0+dfsg-1) unstable; urgency=low [ Michael Fladischer ] * New upstream release. * Add python(3)-gdal to Build-Depends as they are now required by some tests. * Clean additional files django_floppyforms.egg-info/. [ SVN-Git Migration ] * git-dpm config * Update Vcs fields for git migration

    2015-08-12 - Michael Fladischer <fladi@debian.org> django-floppyforms (1.5.2+dfsg-1) unstable; urgency=low * New upstream release. * Clean docs/.build during dh_auto_clean. * Bump Standards-Version to 3.9.6. * Drop do_not_install_tests.patch as it was included upstream. * Clean built documentation. * Change my email address to fladi@debian.org. * Exclude OpenLayers files from upstream tarball as we will make use of libjs-openlayers. * Make uscan aware of our DFSG repack in d/watch. * Create symlink from static assets to libjs-openlayers. * Add libjs-openlayers to Build-Depends and Depends. * Bump debhelper compatibility level to 9.

    2014-08-29 - Michael Fladischer <FladischerMichael@fladi.at> django-floppyforms (1.2.0-1) unstable; urgency=medium * New upstream release (Closes: #755590). + Add python-pil to Build-Depends. + Add python-coverage to Build-Depends. * Switch buildsystem to pybuild. * Add dh-python to Build-Depends. * Add support for Python3. * Update override_dh_auto_test to reflect changes in new upstream tests. * Add do_not_install_tests.patch to prevent installation of tests in the global package namespace. * Build documentation and provide it in a separate package. * Add documentation package as Suggests for both library packages. * Drop versioned dependency on python-django as there are no prior versions in the archive. * Add lintian override for missing upstream tarball PGP signature. * Remove PHONY target declarations from d/rules. * Update d/watch to use github because tarballs on PyPI lack test templates.

    2014-02-12 - Michael Fladischer <FladischerMichael@fladi.at> django-floppyforms (1.1.1-1) unstable; urgency=low * New upstream release (Closes: #729826). * Bump Standards version to 3.9.5. * Rename BSD-floppyforms license to BSD-3-clause. * Update years in d/copyright.

    2013-09-24 - Michael Fladischer <FladischerMichael@fladi.at> django-floppyforms (1.1-1) unstable; urgency=low [ Michael Fladischer ] * New upstream release. * Add python-django-discover-runner to Build-Depends so tests can run. * Bump Depends and Build-Depends on python-django to >= 1.4.2. * Bump Standards version to 3.9.4. * Bump Build-Depends on debhelper to >= 8.1.0 to satisfy build-arch and build-indep targets. * Format packaging files with wrap-and-sort. * Drop temporary fix for PKG-INFO. * Remove src directory from PYTHONPATH in d/rules. * Update years in d/copyright. * Drop versioned Build-Depends on python-all as there are no older versions available since Wheezy. * Use DEP5 correct format URL for d/copyright. [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields.

    2012-05-06 - Michael Fladischer <FladischerMichael@fladi.at> django-floppyforms (0.4.7-2) unstable; urgency=low * Fix tests for django (>= 1.4) FTBFS (Closes: #669462). - Bump B-D for django to (>= 1.2) * Bump Standards-Version to 3.9.3. * Add django_floppyforms.egg-info/PKG-INFO to d/clean to allow the package to be built tice in a row (Closes: #671531).

    2012-02-14 - Michael Fladischer <FladischerMichael@fladi.at> django-floppyforms (0.4.7-1) unstable; urgency=low * Initial release (Closes: #659902)

    Advertisement
    Advertisement